nvme_mi_admin_identify_partial(2)

NAME
nvme_mi_admin_identify_partial - Perform an Admin identify command, and retrieve partial response data.

SYNOPSIS
int nvme_mi_admin_identify_partial (nvme_mi_ctrl_t ctrl , struct nvme_identify_args *args , off_t offset , size_t size );

ARGUMENTS

ctrl
    Controller to process identify command

args
    Identify command arguments

offset
    offset of identify data to retrieve from response

size
    size of identify data to return

DESCRIPTION
Perform an Identify command, using the Identify command parameters in args. The offset and size arguments allow the caller to retrieve part of the identify response. See NVMe-MI section 6.2 for the semantics (and some handy diagrams) of the offset & size parameters.

Will return an error if the length of the response data (from the controller) did not match size.

Unless you're performing a vendor-unique identify command, You'll probably want to use one of the identify helpers (nvme_mi_admin_identify, nvme_mi_admin_identify_cns_nsid, or nvme_mi_admin_identify_<type>) instead of this. If the type of your identify command is standardized but not yet supported by libnvme-mi, please contact the maintainers.

See: struct nvme_identify_args

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.